<?php
namespace Modules\Orders\MiceProjects\Types;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, 25, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{
		$columns = ListingColumns::create()
			->append( ListingColumn::create('name')
				->setSortable('ASC')
			)

			->append( ListingColumn::create('idAddUser')
				->setType('userLabel')
			)

			->append( ListingColumn::create('addTime')
				->setType('datetime')
				->setSortable('ASC')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());

		return $columns;
	}
}
